jQuery(window).load(function () {

    var config = {
        '.chosen-select': {},
        '.chosen-select-deselect': {allow_single_deselect: true},
        '.chosen-select-no-single': {disable_search_threshold: 10},
        '.chosen-select-no-results': {no_results_text: no_data_found},
        '.chosen-select-width': {width: "95%"}
    }
    for (var selector in config) {
        jQuery(selector).chosen(config[selector]);
    }

    jQuery('.select-cover select').chosen();

    jQuery('#btn_add_bonus_product').click(function (e) {
        e.preventDefault();
        jQuery('#addBonusProduct').trigger('click');
    });

    /* For Color Picker */
    jQuery('.wbp-color-picker').wpColorPicker({
        // a callback to fire whenever the color changes to a valid color
        change: function (event, ui) {
            // Change only if the color picker is the user choice
        },
        // a callback to fire when the input is emptied or an invalid color
        clear: function () {
        },
        // hide the color picker controls on load
        hide: true,
        // show a group of common colors beneath the square
        // or, supply an array of colors to customize further
        palettes: true
    });
    
    colorpickerval = jQuery("#woobp_general_label_color").val();
    
    if( colorpickerval.length <= 0 ){
        jQuery("#woobp_general_label_color").val('#96588a');
        jQuery(".wbp-color-picker").trigger("change");
    }

});

jQuery( document ).ready(function() {

    // on load
    carttype = jQuery('#woo_bonus_product_limited_to').val();

    if( carttype == "cartvalue"){
        jQuery('#woo_bonus_product_limited_to').closest("tr").next("tr").find("label").html("Select Min. Product Items");
    }else{
        jQuery('#woo_bonus_product_limited_to').closest("tr").next("tr").find("label").html("Select Min. Cart Total");
    }

    // hide specific product column in category filters
    var category_type = jQuery('#woo_bonus_category_type').val();
    if(category_type == "specific"){
        jQuery('#woo_bonus_category_type').closest("tr").next("tr").show();
    }else{
        jQuery('#woo_bonus_category_type').closest("tr").next("tr").hide();
    }
    
    // hide specific product column in product filters
    var category_type = jQuery('#woo_bonus_product_type').val();
    if(category_type == "specific"){
        jQuery('#woo_bonus_product_type').closest("tr").next("tr").show();
    }else{
        jQuery('#woo_bonus_product_type').closest("tr").next("tr").hide();
    }

    // on change category 
    jQuery(document).on('change', '#woo_bonus_category_type', function () {
        var category_type = jQuery('#woo_bonus_category_type').val();
        if(category_type == "specific"){
            jQuery('#woo_bonus_category_type').closest("tr").next("tr").show();
        }else{
            jQuery('#woo_bonus_category_type').closest("tr").next("tr").hide();
        }
    });  
    
    jQuery(document).on('change', '#woo_bonus_product_type', function () {
        var category_type = jQuery('#woo_bonus_product_type').val();
        if(category_type == "specific"){
            jQuery('#woo_bonus_product_type').closest("tr").next("tr").show();
        }else{
            jQuery('#woo_bonus_product_type').closest("tr").next("tr").hide();
        }
    });  
    
    // on change bonus product limited to
    jQuery(document).on('change', '#woo_bonus_product_limited_to', function () {
        if( jQuery(this).val() == "cartvalue"){
            jQuery(this).closest("tr").next("tr").find("label").html("Select Min. Product Items");
        }else{
            jQuery(this).closest("tr").next("tr").find("label").html("Select Min. Cart Total");
        }
        
    });

});
// end of document.load

// on change category
jQuery(document).on('change', '#woo_bonus_product_category', function () {
    
    var $categories = jQuery('#woo_bonus_product_category').val();
    jQuery.ajax({
        type: 'POST',
        url: woo_bonus_script_data.ajaxurl,
        data: {
            action: 'get_bonus_category_product',
            categories: $categories,
        },
        success: function (response) {
            jQuery('#woo_bonus_product_category_products').html(response);
            jQuery('#woo_bonus_product_category_products').select2();
        }
    });
    
});